# dmxsigio.h File Reference

Go to the source code of this file.

## Functions

void | dmxSigioBlock (void)
void | dmxSigioUnblock (void)
void | dmxSigioEnableInput (void)
void | dmxSigioDisableInput (void)
void | dmxSigioRegister (DMXInputInfo *dmxInput, int fd)
void | dmxSigioUnregister (DMXInputInfo *dmxInput)

## Detailed Description

Interface to SIGIO handling support.

See also:
  dmxsigio.c

## Function Documentation

void dmxSigioBlock | ( | void |  | ) |

Block SIGIO handling.

Referenced by dmxCoreMotion(), dmxExtMotion(), and dmxTranslateAndEnqueueExtEvent().

void dmxSigioDisableInput | ( | void |  | ) |

Disable SIGIO handling. This removes the hanlder from the OS.

References dmxInputEnabled, dmxInputs, dmxNumInputs, and dmxSigioRemove().

Referenced by dmxWakeupHandler().

void dmxSigioEnableInput | ( | void |  | ) |

Enable SIGIO handling. This instantiates the handler with the OS.

References dmxInputEnabled, dmxInputs, dmxNumInputs, and dmxSigioAdd().

Referenced by dmxSwitchReturn().

void dmxSigioRegister | ( | DMXInputInfo * | dmxInput,
|  | int | fd |
| ) |  |  |

Make a note that the input device described in dmxInput will be using the file descriptor fd for SIGIO signals. Calls AddEnabledDevice ifi SIGIO handling has been enabled with dmxSigioEnableInput().

References DMX_MAX_SIGIO_FDS, dmxFatal, dmxInputEnabled, dmxLog(), dmxSigioAdd(), _DMXInputInfo::sigioFd, _DMXInputInfo::sigioFdCount, and _DMXInputInfo::sigioState.

Referenced by dmxDeviceOnOff().

void dmxSigioUnblock | ( | void |  | ) |

Unblock SIGIO handling.

Referenced by dmxCoreMotion(), dmxExtMotion(), and dmxTranslateAndEnqueueExtEvent().

void dmxSigioUnregister | ( | DMXInputInfo * | dmxInput | ) |

Remove the notes that dmxInput is using any file descriptors for SIGIO signals. Calls RemoveEnabledDevice.

References DMX_NOSIGIO, dmxSigioRemove(), _DMXInputInfo::sigioFdCount, and _DMXInputInfo::sigioState.

Referenced by dmxDeviceOnOff().

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>